
#include "TArtAnaClock.hh"

#include <iostream>

struct timespec TArtAnaClock::first_time, TArtAnaClock::stop_time;

void TArtAnaClock::Start()
{
  clock_gettime(CLOCK_REALTIME, &first_time);  
}

void TArtAnaClock::Stop()
{
  clock_gettime(CLOCK_REALTIME, &stop_time);
}

void TArtAnaClock::Print()
{
  double elapsed;

  elapsed = stop_time.tv_sec-first_time.tv_sec;
  elapsed += (stop_time.tv_nsec-first_time.tv_nsec)/1.0e+9;
  std::cout << "\n cpu time:" << elapsed << " sec\n" << std::endl;
}

//  TArtAnaClock::Start();
//  TArtAnaClock::Stop();
//  std::cout << "\n time:" << std::endl;
//  TArtAnaClock::Print();

