#ifndef TARTOPTMATRIX_H
#define TARTOPTMATRIX_H

#include "TMatrixD.h"

class TArtOptMatrix : public TMatrixD {

 public: 

  TArtOptMatrix(){ Allocate(6,5,0,0,1); }
  virtual ~TArtOptMatrix(){}

  virtual void SetUpstreamFpl(int fpl){u_fpl_number = fpl;}
  virtual int GetUpstreamFpl(){return u_fpl_number;}

  virtual void SetDownstreamFpl(int fpl){d_fpl_number = fpl;}
  virtual int GetDownstreamFpl(){return d_fpl_number;}

 protected:

  // forward focal plane number
  int u_fpl_number;

  // backward focal plane number
  int d_fpl_number;

  ClassDef(TArtOptMatrix,1);

};

#endif
